%define pkg_name        WebService-Validator-CSS-W3C
%define pkg_version     0.2
%define rpm_pkg_version 0.2
%define rpm_pkg_release 1.n0i.2

Summary:       Interface to the W3C CSS Validator
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/WebService/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(SOAP::Lite) >= 0.65
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)


%description
This module is an experimental interface to the W3C CSS Validation online
service <http://jigsaw.w3.org/css-validator/>, based on its experimental
SOAP 1.2 support. It helps to find errors in Cascading Style Sheets.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Sep 20 2007 Marius Feraru <altblue@n0i.net> - 0.2-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.2

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
